## net.sf.saxon.xpath
Class XPathException.Circularity

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.transform.TransformerException
                        |
                        +--net.sf.saxon.xpath.XPathException
                              |
                              +--net.sf.saxon.xpath.DynamicError
                                    |
                                    +--net.sf.saxon.xpath.XPathException.Circularity

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  XPathException

public static class XPathException.Circularity
extends DynamicError

Subclass used to report circularities

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class net.sf.saxon.xpath.XPathException
`XPathException.Circularity`

Constructor Summary
`XPathException.Circularity(java.lang.String message)`

Methods inherited from class net.sf.saxon.xpath.DynamicError
`getXPathContext, setXPathContext`

Methods inherited from class net.sf.saxon.xpath.XPathException
`getErrorCode, hasBeenReported, isTypeError, makeStatic, setErrorCode, setHasBeenReported, setIsTypeError, wrap`

Methods inherited from class javax.xml.transform.TransformerException
`getCause, getException, getLocationAsString, getLocator, getMessageAndLocation, initCause, printStackTrace, printStackTrace, printStackTrace, setLocator`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException.Circularity

    public XPathException.Circularity(java.lang.String message)